// Use this file to create classes for overriding INTERNAL angular material styles.
// If you want to style material components different from the default, please check first:

// 1) Can I use the API of the Angular material component (i.e., directives, property binding)?

// 2) Can I style the component via its selector (e.g. mat-stepper) or can I use a container
//    (e.g. span for text, div for layout)?

// THEN you need to override internal styles of the material component.

// 3) What is the actual internal component styling making trouble?
//    > Use the browser devtools to inspect the html and find the corresponding classname.

// 4) Put the classname into this file and test whether you can change the styling from here.

// 5) Find the name of the uppermost parent element of the material component and its classname
//    (e.g., "mat-stepper-vertical" for mat-stepper).

// 6) Compose parent and child classnames like so:
// .parent-class {
//   & .child-class {
//     // your styling here
//   }
// Check that you introduce a space between "&" and .child-class!

// 7) Create an individual classname for the component you want to style. Try to follow this convention:
//    .<mat-component-name>-<target-component>
//    Apply the individual classname to the material component in the html template of your component.
//    Attach the individual classname to the parent classname like so:
//   .parent-class.<individual-classname> {...}

// You can also change multiple internal stylings:
// .parent-class.<individual-classname> {
//   & .child-class1 {...}
//   & .child-class2 {...}
// }

// If you are confused how this works, check out these links:
// Ampersand: https://medium.com/the-crazy-coder/what-scss-means-e448e2ac98d3
// CSS Selectors: https://www.w3schools.com/cssref/css_selectors.php
// Material overriding: https://betterprogramming.pub/best-way-to-overwrite-angular-materials-styles-e38dc8b84962


.custom-tabs .mat-tab-body-content {
    overflow: hidden;
    height: 100%;
}

.custom-tabs .mat-tab-body-wrapper {
    height: 100%;
}

.mat-h1,
.mat-headline,
.mat-typography h1 {
    font: 400 24px/32px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 16px
}

.mat-h2,
.mat-title,
.mat-typography h2 {
    font: 500 20px/32px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 16px
}

.mat-h3,
.mat-subheading-2,
.mat-typography h3 {
    font: 400 16px/28px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 16px
}

.mat-h4,
.mat-subheading-1,
.mat-typography h4 {
    font: 400 15px/24px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 16px
}

.mat-h5,
.mat-typography h5 {
    font: 400 11.62px/20px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 12px
}

.mat-h6,
.mat-typography h6 {
    font: 400 9.38px/20px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 12px
}

.mat-body-2,
.mat-body-strong {
    font: 500 14px/24px Roboto, "Helvetica Neue", sans-serif
}

.mat-body,
.mat-body-1,
.mat-typography {
    font: 400 14px/20px Roboto, "Helvetica Neue", sans-serif
}

.mat-body p,
.mat-body-1 p,
.mat-typography p {
    margin: 0 0 12px
}

.mat-caption,
.mat-small {
    font: 400 12px/20px Roboto, "Helvetica Neue", sans-serif
}

.mat-display-4,
.mat-typography .mat-display-4 {
    font: 300 112px/112px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 56px;
    letter-spacing: -.05em
}

.mat-display-3,
.mat-typography .mat-display-3 {
    font: 400 56px/56px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 64px;
    letter-spacing: -.02em
}

.mat-display-2,
.mat-typography .mat-display-2 {
    font: 400 45px/48px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 64px;
    letter-spacing: -.005em
}

.mat-display-1,
.mat-typography .mat-display-1 {
    font: 400 34px/40px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 64px
}

.mat-bottom-sheet-container {
    font: 400 14px/20px Roboto, "Helvetica Neue", sans-serif
}

// mat buttons
.mat-button,
.mat-fab,
.mat-flat-button,
.mat-icon-button,
.mat-mini-fab,
.mat-raised-button,
.mat-stroked-button {
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-size: 14px;
    font-weight: 500
}

.mat-button-toggle {
    font-family: Roboto, "Helvetica Neue", sans-serif
}
.mat-fab.mat-accent[disabled],
.mat-fab.mat-primary[disabled],
.mat-fab.mat-warn[disabled],
.mat-fab[disabled][disabled],
.mat-flat-button.mat-accent[disabled],
.mat-flat-button.mat-primary[disabled],
.mat-flat-button.mat-warn[disabled],
.mat-flat-button[disabled][disabled],
.mat-mini-fab.mat-accent[disabled],
.mat-mini-fab.mat-primary[disabled],
.mat-mini-fab.mat-warn[disabled],
.mat-mini-fab[disabled][disabled],
.mat-raised-button.mat-accent[disabled],
.mat-raised-button.mat-primary[disabled],
.mat-raised-button.mat-warn[disabled],
.mat-raised-button[disabled][disabled] {
    color: rgba(0, 0, 0, .26)
}
.mat-fab.mat-accent,
.mat-flat-button.mat-accent,
.mat-mini-fab.mat-accent,
.mat-raised-button.mat-accent {
    background-color: #ffd740
}

.mat-flat-button:not([class*=mat-elevation-z]),
.mat-stroked-button:not([class*=mat-elevation-z]) {
    box-shadow: 0 0 0 0 rgba(0, 0, 0, .2), 0 0 0 0 rgba(0, 0, 0, .14), 0 0 0 0 rgba(0, 0, 0, .12)
}

.mat-raised-button:not([class*=mat-elevation-z]) {
    box-shadow: 0 3px 1px -2px rgba(0, 0, 0, .2), 0 2px 2px 0 rgba(0, 0, 0, .14), 0 1px 5px 0 rgba(0, 0, 0, .12)
}

.mat-raised-button:not([disabled]):active:not([class*=mat-elevation-z]) {
    box-shadow: 0 5px 5px -3px rgba(0, 0, 0, .2), 0 8px 10px 1px rgba(0, 0, 0, .14), 0 3px 14px 2px rgba(0, 0, 0, .12)
}

.mat-raised-button[disabled]:not([class*=mat-elevation-z]) {
    box-shadow: 0 0 0 0 rgba(0, 0, 0, .2), 0 0 0 0 rgba(0, 0, 0, .14), 0 0 0 0 rgba(0, 0, 0, .12)
}

.mat-button-toggle-group,
.mat-button-toggle-standalone {
    box-shadow: 0 3px 1px -2px rgba(0, 0, 0, .2), 0 2px 2px 0 rgba(0, 0, 0, .14), 0 1px 5px 0 rgba(0, 0, 0, .12)
}

.mat-button-toggle-group-appearance-standard,
.mat-button-toggle-standalone.mat-button-toggle-appearance-standard {
    box-shadow: none
}

.mat-button-toggle-group-appearance-standard .mat-button-toggle+.mat-button-toggle {
    border-left: solid 1px 
}

[dir=rtl] .mat-button-toggle-group-appearance-standard .mat-button-toggle+.mat-button-toggle {
    border-left: none;
    border-right: solid 1px 
}

.mat-button-toggle-group-appearance-standard.mat-button-toggle-vertical .mat-button-toggle+.mat-button-toggle {
    border-left: none;
    border-right: none;
    border-top: solid 1px 
}

.mat-fab:not([class*=mat-elevation-z]),
.mat-mini-fab:not([class*=mat-elevation-z]) {
    box-shadow: 0 3px 5px -1px rgba(0, 0, 0, .2), 0 6px 10px 0 rgba(0, 0, 0, .14), 0 1px 18px 0 rgba(0, 0, 0, .12)
}

.mat-fab:not([disabled]):active:not([class*=mat-elevation-z]),
.mat-mini-fab:not([disabled]):active:not([class*=mat-elevation-z]) {
    box-shadow: 0 7px 8px -4px rgba(0, 0, 0, .2), 0 12px 17px 2px rgba(0, 0, 0, .14), 0 5px 22px 4px rgba(0, 0, 0, .12)
}

.mat-fab[disabled]:not([class*=mat-elevation-z]),
.mat-mini-fab[disabled]:not([class*=mat-elevation-z]) {
    box-shadow: 0 0 0 0 rgba(0, 0, 0, .2), 0 0 0 0 rgba(0, 0, 0, .14), 0 0 0 0 rgba(0, 0, 0, .12)
}

.mat-button-toggle-group-appearance-standard,
.mat-button-toggle-standalone.mat-button-toggle-appearance-standard {
    border: solid 1px 
}


// mat-card
.mat-card {
    font-family: Roboto, "Helvetica Neue", sans-serif
}

.mat-card-title {
    font-size: 24px;
    font-weight: 500;
}

.mat-card-header .mat-card-title {
    font-size: 20px;
}

.mat-card-content,
.mat-card-subtitle {
    font-size: 14px
}



.mat-header-cell {
    font-size: 12px;
    font-weight: 500
}

.mat-cell,
.mat-footer-cell {
    font-size: 14px
}

.mat-dialog-title {
    font: 500 20px/32px Roboto, "Helvetica Neue", sans-serif
}

.mat-expansion-panel-header {
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-size: 15px;
    font-weight: 400
}

.mat-expansion-panel-content {
    font: 400 14px/20px Roboto, "Helvetica Neue", sans-serif
}

.mat-grid-tile-footer,
.mat-grid-tile-header {
    font-size: 14px
}

.mat-grid-tile-footer .mat-line,
.mat-grid-tile-header .mat-line {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    box-sizing: border-box
}

.mat-grid-tile-footer .mat-line:nth-child(n+2),
.mat-grid-tile-header .mat-line:nth-child(n+2) {
    font-size: 12px
}

input.mat-input-element {
    margin-top: -.0625em
}

.mat-menu-item {
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-size: 14px;
    font-weight: 400
}

.mat-select {
    font-family: Roboto, "Helvetica Neue", sans-serif
}

.mat-select-trigger {
    height: 1.125em
}

.mat-stepper-horizontal,
.mat-stepper-vertical {
    font-family: Roboto, "Helvetica Neue", sans-serif
}

.mat-step-label {
    font-size: 14px;
    font-weight: 400
}

.mat-step-sub-label-error {
    font-weight: 400
}

.mat-step-label-error {
    font-size: 14px
}

.mat-step-label-selected {
    font-size: 14px;
    font-weight: 500
}

.mat-tab-group {
    font-family: Roboto, "Helvetica Neue", sans-serif
}

.mat-tab-label,
.mat-tab-link {
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-size: 14px;
    font-weight: 500
}

.mat-toolbar,
.mat-toolbar h1,
.mat-toolbar h2,
.mat-toolbar h3,
.mat-toolbar h4,
.mat-toolbar h5,
.mat-toolbar h6 {
    font: 500 20px/32px Roboto, "Helvetica Neue", sans-serif;
    margin: 0
}
// mat-tooltip
.mat-tooltip {
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-size: 10px;
    padding-top: 6px;
    padding-bottom: 6px
}

.mat-tooltip-handset {
    font-size: 14px;
    padding-top: 8px;
    padding-bottom: 8px
}

.mat-tooltip {
    background: rgba(97, 97, 97, .9)
}

.mat-option {
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-size: 16px
}

.mat-optgroup-label {
    font: 500 14px/24px Roboto, "Helvetica Neue", sans-serif
}

@media (-ms-high-contrast: active) {
    .mat-ripple-element {
        display: none
    }
}

.mat-theme-loaded-marker {
    display: none
}

.mat-table tbody,
.mat-table tfoot,
.mat-table thead,
.mat-table-sticky,
[mat-footer-row],
[mat-header-row],
[mat-row],
mat-footer-row,
mat-header-row,
mat-row {
    background: inherit
}

.mat-table {
    font-family: Roboto, "Helvetica Neue", sans-serif
}
.mat-tab-header,
.mat-tab-nav-bar {
    border-bottom: 1px solid rgba(0, 0, 0, .12)
}

.mat-tab-group-inverted-header .mat-tab-header,
.mat-tab-group-inverted-header .mat-tab-nav-bar {
    border-top: 1px solid rgba(0, 0, 0, .12);
    border-bottom: none
}


.mat-tab-group[class*=mat-background-] .mat-tab-header,
.mat-tab-nav-bar[class*=mat-background-] {
    border-bottom: none;
    border-top: none
}


.mat-tab-label-active {
    opacity: 1 !important;
}

a.mat-tab-link:hover {
    color: rgba(0, 0, 0, .87) !important;
    text-decoration: none !important;
}

.mat-tab-label,
.mat-tab-label-active {
    min-width: 10% !important;
    flex-grow: 1;
    flex-shrink: 1;
}

.mat-tab-body-wrapper {
    flex-grow: 1;
}


mat-footer-row,
mat-header-row,
mat-row,
td.mat-cell,
td.mat-footer-cell,
th.mat-header-cell {
    border-bottom-color: rgba(0, 0, 0, .12)
}

.mat-header-cell {
    color: rgba(0, 0, 0, .54)
}

.mat-cell,
.mat-footer-cell {
    color: rgba(0, 0, 0, .87)
}

.mat-dialog-container {
    box-shadow: 0 11px 15px -7px rgba(0, 0, 0, .2), 0 24px 38px 3px rgba(0, 0, 0, .14), 0 9px 46px 8px rgba(0, 0, 0, .12);
    background: #fff;
    color: rgba(0, 0, 0, .87)
}

.mat-form-field-appearance-legacy.mat-form-field-disabled .mat-form-field-underline {
    background-image: linear-gradient(to right, rgba(0, 0, 0, .42) 0, rgba(0, 0, 0, .42) 33%, transparent 0);
    background-size: 4px 100%;
    background-repeat: repeat-x
}


.mat-form-field-appearance-standard.mat-form-field-disabled .mat-form-field-underline {
    background-image: linear-gradient(to right, rgba(0, 0, 0, .42) 0, rgba(0, 0, 0, .42) 33%, transparent 0);
    background-size: 4px 100%;
    background-repeat: repeat-x
}

.mat-select-panel:not([class*=mat-elevation-z]) {
    box-shadow: 0 2px 4px -1px rgba(0, 0, 0, .2), 0 4px 5px 0 rgba(0, 0, 0, .14), 0 1px 10px 0 rgba(0, 0, 0, .12)
}

[dir=rtl] .mat-drawer-side {
    border-left: solid 1px rgba(0, 0, 0, .12);
    border-right: none
}

[dir=rtl] .mat-drawer-side.mat-drawer-end {
    border-left: none;
    border-right: solid 1px rgba(0, 0, 0, .12)
}

.mat-drawer-backdrop.mat-drawer-shown {
    background-color: rgba(0, 0, 0, .6)
}

// toggle
.mat-slide-toggle-content {
    font-family: Roboto, "Helvetica Neue", sans-serif
}

.mdc-label {
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-size: 12px;
    font-weight: 500;
}
.mdc-switch__icons{
    display:none!important;
  }


.mdc-switch--selected .mdc-switch__shadow {
    background-color: rgba(0, 63, 151, 0.54)
}


.mat-step-header.cdk-keyboard-focused,
.mat-step-header.cdk-program-focused,
.mat-step-header:hover {
    background-color: rgba(0, 0, 0, .04)
}

@media (hover: none) {
    .mat-step-header:hover {
        background: 0 0
    }
}

.mat-step-header .mat-step-label,
.mat-step-header .mat-step-optional {
    color: rgba(0, 0, 0, .54)
}

.mat-stepper-vertical{
       & .mat-step-header{
             & .mat-step-text-label{
               text-align: left;
             }
      }
    }

.mat-step-header .mat-step-icon-state-error {
    background-color: transparent;
    color: #f44336
}

.mat-step-header .mat-step-label.mat-step-label-active {
    color: rgba(0, 0, 0, .87)
}

.mat-step-header .mat-step-label.mat-step-label-error {
    color: #f44336
}

.mat-stepper-horizontal,
.mat-stepper-vertical {
    background-color: #fff
}

.mat-stepper-vertical-line::before {
    border-left-color: rgba(0, 0, 0, .12)
}

.mat-sort-header-arrow {
    color: #757575
}

// mat-toolbar
.mat-toolbar {
    background: #f5f5f5;
    color: rgba(0, 0, 0, .87)
}

.mat-toolbar.mat-accent {
    background: #ffd740;
    color: rgba(0, 0, 0, .87)
}

.mat-toolbar.mat-warn {
    background: #f44336;
    color: #fff
}

.mat-toolbar .mat-focused .mat-form-field-ripple,
.mat-toolbar .mat-form-field-ripple,
.mat-toolbar .mat-form-field-underline {
    background-color: currentColor
}

.mat-toolbar .mat-focused .mat-form-field-label,
.mat-toolbar .mat-form-field-label,
.mat-toolbar .mat-form-field.mat-focused .mat-select-arrow,
.mat-toolbar .mat-select-arrow,
.mat-toolbar .mat-select-value {
    color: inherit
}

.mat-toolbar .mat-input-element {
    caret-color: currentColor
}


.mat-option {
    color: #495057 !important;
}
